##
##  postgresql-cron.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2022 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         postgresql-cron
Summary:      PostgreSQL Extension: pg_cron
URL:          https://github.com/citusdata/pg_cron
Vendor:       CitusData
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      BSD
Version:      1.4.2
Release:      20220715

#   list of sources
Source0:      https://github.com/citusdata/pg_cron/archive/v%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  postgresql
PreReq:       postgresql

%description
    pg_cron adds a job scheduling functionality to PostgreSQL. It uses
    the same syntax as regular Unix cron(8), but it allows you to
    schedule PostgreSQL commands directly from the database.

%track
    prog postgresql-cron = {
        version   = %{version}
        url       = https://github.com/citusdata/pg_cron/releases
        regex     = v(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n pg_cron-%{version}

%build
    %{l_make} %{l_mflags} \
        USE_PGXS=1 \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}" \
        pg_cron.so

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib/postgresql \
        $RPM_BUILD_ROOT%{l_prefix}/share/postgresql/extension
    %{l_shtool} install -c -m 644 \
        pg_cron.so \
        $RPM_BUILD_ROOT%{l_prefix}/lib/postgresql/
    %{l_shtool} install -c -m 644 \
        pg_cron.control \
        pg_cron-*.sql \
        $RPM_BUILD_ROOT%{l_prefix}/share/postgresql/extension/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

